Subject: Re: bug#44301: Black screen in Guix System installation

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 31 Oct 2020 20:05:39 +0100

On Sat, Oct 31, 2020 at 02:22:58PM +0100, soheilkhanalipur--- via Bug reports for GNU Guix wrote:
> Guix has some incompatibilities like (issues.guix.gnu.org/43985) with my computer.
> What are these? what's the solution?

Your issues are post-install, I think, so the installer worked
properly, so Guix basically works.  However:

Possibly you will not get a good experience because (if I understand
it correctly) Linux-libre might have various incompatibilities because
it is deliberately lacking non-free firmware.

You might work around the graphics issues by using nomodeset or
blacklisting nouveau and then using uvesafb like
<https://lists.gnu.org/archive/html/bug-guix/2020-04/msg00320.html>.
I’m not sure if all that is really necessary.

Your 7.jpg shows this message:

[  18.727379] usb 1-1.3: Fatal – failed to load firmware

This may be because Linux-libre